Listener Status object
The Listener Status object represents the status of a listener process deployed to a runtime, Runtime cluster, or Runtime cloud. For example, you can retrieve a listener's status to ensure that requests for pause, resume, or restart take effect before performing other actions.
Retrieving the listener status is an asynchronous process:
-
The client sends a QUERY request that specifies a container ID and, optionally, a listener ID to the platform.
-
The platform returns a listener status token.
-
The client sends a GET request that includes the listener status token to the platform.
-
The platform returns the status of the specified listener or listeners.
If the QUERY request does not include a listener ID, the subsequent GET request retrieves the status of all listeners on that container.
Enhanced Listener Status
Each listener entry returns a details array containing per-node or per-worker-instance status information. The top-level status field is derived by aggregating those statuses.
Structure
QUERY response:
<AsyncOperationTokenResult responseStatusCode="">
<asyncToken token=""/>
</AsyncOperationTokenResult>
GET response:
<AsyncOperationResult responseStatusCode="" numberOfResults="">
<result type="" status="" listenerId="" connectorType="">
<details>
<instanceId></instanceId>
<status></status>
<message></message>
<stackTrace></stackTrace>
<lastUpdated></lastUpdated>
</details>
</result>
</AsyncOperationResult>
| Field | Type | Description |
|---|---|---|
| responseStatusCode | string | The status code returned from a request, as follows: - 202 — Initialized the Listener status request and is in progress (QUERY response). - 200 — Listener status request is complete (GET response). |
| token | string | A unique token generated by the platform. |
| type | string | A static value of ListenerStatus. |
| listenerId | string | Process component ID of the listener. |
| status | string | Aggregated status across all worker instances: - listening — All instances are in a healthy state, either online or started. - paused — All instances are paused (user-initiated). - errored — All instances failed to start. - degraded — One or more instances are in an unhealthy state, such as offline, unknown, or mixed. |
| connectorType | string | Connector type identifier (for example, jms, http). |
| details | array | Per-instance status entries providing detailed status information for each worker or node instance. |
| instanceId | string | Opaque encoded identifier for the specific node or worker instance. Treat as opaque — do not parse. |
| status | string | Status of this specific node or worker instance: - online — The listener instance is actively running and healthy. - offline — The listener instance encountered an error after startup. The connector may attempt to auto-resolve. - started — Listener startup completed successfully. No further status update has been received. - errored — Listener failed to start due to an error at initialization and will not retry. - paused — User-initiated pause. - pending — Singleton listener on a non-active node or worker, or queued to start. - unknown — No response from the runtime (timeout or unreachable). |
| message | string | Description of the current status or error. |
| stackTrace | string | Stack trace if the instance errored, offline, or is unreachable. Truncated to 10,000 characters. |
| lastUpdated | string | Timestamp of the last status change for this instance, in UTC (ISO 8601 format). |
Supported operations
| GET | QUERY | CREATE | UPDATE | EXECUTE | DELETE |
|---|---|---|---|---|---|
| | |
-
The ordinary GET operation retrieves async results from the QUERY.
-
You can use the following fields as QUERY filters for the Listener Status object:
Field Allowed values listenerId Valid Component ID for the listener process. If you do not specify a listener ID, the subsequent GET request retrieves the status of all listeners on that container.
Note: Cite obtaining the ID using the ComponentMetadata object, not Process. Or in the Build UI, in Revision History for an opened Process.containerId Required. Valid containerId for the runtime, Runtime cluster, or Runtime cloud. Only the
EQUALSoperator is supported for both filter properties.For general information about the structure of QUERY filters, refer to Query filters.
SOAP implementation
-
GET operation
Request:
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:api="http://api.platform.boomi.com/"><soapenv:Header><wsse:Security xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"><wsse:UsernameToken wsu:Id="UsernameToken" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd"><wsse:Username>your email</wsse:Username><wsse:Password Type="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText">your password</wsse:Password></wsse:UsernameToken></wsse:Security></soapenv:Header><soapenv:Body><api:asyncResult><api:token>ListenerStatus-f3f690a0-296a-4350-918c-b00bd7f7702e</api:token></api:asyncResult></soapenv:Body></soapenv:Envelope>Response
Query by containerId:
<S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/"><S:Body><bns:asyncResultResponse xmlns:bns="http://api.platform.boomi.com/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><bns:results responseStatusCode="200" numberOfResults="2"><bns:result xsi:type="bns:ListenerStatus" listenerId="979e40a7-d739-4297-953c-5c443f8bfa36" status="listening" connectorType="padmaguardians-RXFX84-realti-test"><bns:details><bns:instanceId>atom01</bns:instanceId><bns:status>started</bns:status><bns:lastUpdated>2026-04-17T20:40:57Z</bns:lastUpdated></bns:details><bns:details><bns:instanceId>atom02</bns:instanceId><bns:status>started</bns:status><bns:lastUpdated>2026-04-17T20:43:29Z</bns:lastUpdated></bns:details><bns:details><bns:instanceId>atom03</bns:instanceId><bns:status>started</bns:status><bns:lastUpdated>2026-04-17T20:46:00Z</bns:lastUpdated></bns:details></bns:result><bns:result xsi:type="bns:ListenerStatus" listenerId="4f8e3b21-9c7d-4a56-b823-1e5f902c3d87" status="degraded" connectorType="http"><bns:details><bns:instanceId>atom01</bns:instanceId><bns:status>started</bns:status><bns:lastUpdated>2026-04-17T20:40:57Z</bns:lastUpdated></bns:details><bns:details><bns:instanceId>atom02</bns:instanceId><bns:status>errored</bns:status><bns:message>Address already in use: bind</bns:message><bns:stackTrace>java.net.BindException: Address already in use: bindat java.base/sun.nio.ch.Net.bind0(Native Method)at java.base/sun.nio.ch.Net.bind(Net.java:555)at java.base/sun.nio.ch.ServerSocketChannelImpl.netBind(ServerSocketChannelImpl.java:337)at com.boomi.connector.http.HttpListener.register(HttpListener.java:124)at com.boomi.execution.listener.ListenerManager.start(ListenerManager.java:87)... 23 more</bns:stackTrace><bns:lastUpdated>2026-04-17T20:43:29Z</bns:lastUpdated></bns:details><bns:details><bns:instanceId>atom03</bns:instanceId><bns:status>started</bns:status><bns:lastUpdated>2026-04-17T20:41:21Z</bns:lastUpdated></bns:details></bns:result></bns:results></bns:asyncResultResponse></S:Body></S:Envelope>Query by listenerId:
<S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/"><S:Body><bns:asyncResultResponse xmlns:bns="http://api.platform.boomi.com/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><bns:results responseStatusCode="200" numberOfResults="1"><bns:result xsi:type="bns:ListenerStatus" listenerId="cc48b2ed-f997-48c0-8ecc-26c2346128b6" status="degraded" connectorType="padmaguardians-RXFX84-realti-test"><bns:details><bns:instanceId>atom01</bns:instanceId><bns:status>online</bns:status><bns:message>Connection established to channel ingestPipeline</bns:message><bns:lastUpdated>2026-04-17T20:40:57Z</bns:lastUpdated></bns:details><bns:details><bns:instanceId>atom02</bns:instanceId><bns:status>offline</bns:status><bns:message>Connection lost; will attempt reconnect</bns:message><bns:stackTrace>java.io.IOException: Connection reset by peerat java.base/sun.nio.ch.SocketChannelImpl.read(SocketChannelImpl.java:332)at com.boomi.connector.realtime.ListenerSocket.poll(ListenerSocket.java:201)at com.boomi.execution.listener.ListenerWorker.run(ListenerWorker.java:78)... 14 more</bns:stackTrace><bns:lastUpdated>2026-04-17T20:45:00Z</bns:lastUpdated></bns:details><bns:details><bns:instanceId>atom03</bns:instanceId><bns:status>online</bns:status><bns:message>Connection established to channel ingestPipeline</bns:message><bns:lastUpdated>2026-04-17T20:46:00Z</bns:lastUpdated></bns:details></bns:result></bns:results></bns:asyncResultResponse></S:Body></S:Envelope> -
QUERY operation
The following example query returns a listener status token for a single listener process.
Request:
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:api="http://api.platform.boomi.com/"><soapenv:Header><wsse:Security xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"><wsse:UsernameToken wsu:Id="UsernameToken" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd"><wsse:Username>your email</wsse:Username><wsse:Password Type="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText">your password</wsse:Password></wsse:UsernameToken></wsse:Security></soapenv:Header><soapenv:Body><api:queryAsync><api:objectType>ListenerStatus</api:objectType><api:queryConfig><api:QueryFilter><api:expression operator="and" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="api:GroupingExpression"><api:nestedExpression operator="EQUALS" property="listenerId"xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="api:SimpleExpression"><api:argument>bc4fb9fe-cf38-4bc4-9da1-993260021214</api:argument></api:nestedExpression><api:nestedExpression operator="EQUALS" property="containerId"xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="api:SimpleExpression"><api:argument>b84550e0-deba-4b9f-ae21-99748efe70a9</api:argument></api:nestedExpression></api:expression></api:QueryFilter></api:queryConfig></api:queryAsync></soapenv:Body></soapenv:Envelope>Response:
<S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/"><S:Body><bns:queryAsyncResponse xmlns:bns="http://api.platform.boomi.com/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><bns:results responseStatusCode="202"><bns:asyncToken token="ListenerStatus-f3f690a0-296a-4350-918c-b00bd7f7702e"/></bns:results></bns:queryAsyncResponse></S:Body></S:Envelope>